Subject: Re: [PATCH bpf 3/3] devmap: Add missing RCU read lock on flush

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Fri, 14 Jun 2019 13:07:42 +0200

Toshiaki Makita <[email-masked]> writes:

> .ndo_xdp_xmit() assumes it is called under RCU. For example virtio_net
> uses RCU to detect it has setup the resources for tx. The assumption
> accidentally broke when introducing bulk queue in devmap.
>
> Fixes: 5d053f9da431 ("bpf: devmap prepare xdp frames for bulking")
> Reported-by: David Ahern <[email-masked]>
> Signed-off-by: Toshiaki Makita <[email-masked]>
> ---

I think this is still needed, but the patch context is going to conflict
with the patch I linked above... I guess it's up to the maintainers to
decide which order to merge them in :)

-Toke